/*
https://codepen.io/gooogooo/pen/JjYbjaM
https://codepen.io/GreenSock/pen/LomEvN

https://greensock.com/forums/topic/17875-update-bezier-points-dynamically/
https://codepen.io/GreenSock/pen/KKgZJMz

https://codepen.io/GreenSock/pen/GRJwLNP
*/

.carous {
    width: 100%;
    height: 100%;
    position: relative;
    background-size: contain !important;
    background-repeat: no-repeat !important;
    background-position: top center !important;
    position: absolute;    
}

.caro_flyero {
    z-index: 0;
}
.caro_model {
    z-index: 1;
}
.caro_mask {
    z-index: 2;
    transform: translate3d(0, 0, 200px);
    -webkit-transform: translate3d(0, 0, 200px);
}

.caro_mask:before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background: #FAF8F5;
    left: 0;
    z-index: 999;
    top: -100%;    
}

main {
  display: flex;
  position: relative;
  flex-direction: column;
  width: 100vw;
  height: 300px;
  overflow: hidden;
  align-items: center;
  justify-content: center;
    
    padding-top: 50px;
    padding-bottom: 50px;    
}

.picker .cello {  
  position: absolute;
  top: 0;
  left: 0;
  width: 50vw;
  font-size: 26px;
  font-weight: 500;
  color: rgba(0,0,0,0.87);
  color: rgba(0,0,0,0.92);
  user-select: none;  
  display: flex;
  align-items: center;
  justify-content: center;    

  
  height: 100%;
  transform-origin: center bottom;
}

.cello-content {
    height:100%;
    padding-left:50px;
    padding-right:50px;
    width:70%;
    position: relative;
    display:inline-block;
    overflow: visible;
    /*clip-path: inset(0px 0px 0px 0px);
    -webkit-clip-path: inset(0px 0px 0px 0px);
    */
    transform: translateZ(0) translate3d(0,0,0);
    -webkit-backface-visibility:hidden;
    display: block;
    
}

.picker {
  position: relative;
  width: 80vw; //225px;
  height: 100%;

}
.cello-content img{
    width: 100%;
    height:100%;
}

.ncarou {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    background-repeat: no-repeat !important;
    background-size: contain !important;
    background-position: center !important;    
    
    transform: translateZ(0) translate3d(0,0,0);
    -webkit-backface-visibility:hidden;
    display: block;    
    
}

.ncarou-1{
    z-index: 0;
    /*margin-top: 10%; */
    clip-path: inset(50% 0 0 0);
    -webkit-clip-path: inset(50% 0 0 0);
    backface-visibility: hidden;
    -webkit-backface-visibility: hidden;    
    
}

.maschio {
    clip-path: url(#masko);
    -webkit-clip-path: url(#masko);    
    background: white;
    width: 100%;
    height: 80%;
    backface-visibility: hidden;
    -webkit-backface-visibility: hidden;    
    
}

.amio{
    background: white;
    clip-path: url(#masko);
    -webkit-clip-path: url(#masko);    
    z-index: 1;    
    width: 100%;
    height: 100%;
    max-height: 80%;  
    backface-visibility: hidden;
    -webkit-backface-visibility: hidden;  
    margin: 0 auto;
    _max-width: 500px;
    
}

.masko {
    opacity: 0;
}

.dot{
    width:9px;
    height:9px;
    border-radius: 50%;
    margin:15px;
    border:1px solid #ff5170;
    position: relative;
    display: inline-block;
    transition: .3s ease all;
    -webkit-transition: .3s ease all;
    cursor: pointer;
    margin-left: 12px;
    margin-right: 12px;    
}

.dot:hover{
    background: #ff5170;
    -webkit-transition: .3s ease all;
    
}

.dot:after{
    content: "";
    width: 70%;
    height: 70%;
    border-radius: 50%;
    background: #ff5170;
    position: absolute;
    left: 0.2px;
    right: 0;
    margin:0 auto;
    top: 50%;
    transform: translateY(-50%);
    opacity: 0;
    background: #ff5170;
    -webkit-transition: .3s ease all;    
}

.dot1:after,.dot2:after,.dot3:after{ left:0.4px;}
.dot4:after,.dot5:after,.dot6:after{ left:-0.4px;}

.dot.active:after{
    opacity: 1;
    background: #ff5170;
    -webkit-transition: .3s ease all;    
}

#dot0,#dot5 {
    transform: translateY(-15px);
}
#dot1,#dot4 {
    transform: translateY(-4px);
}

.selector{
    text-align: center;
    margin: 0 auto;
}




.cello[data-idx="1"] .ncarou {
    background-image:url("../images/aprile_Gallery_01_image.png") !important;
}
.cello[data-idx="2"] .ncarou {
    background-image:url("../images/aprile_Gallery_02_image.png") !important;
}
.cello[data-idx="3"] .ncarou {
    background-image:url("../images/aprile_Gallery_03_image.png") !important;
}
.cello[data-idx="4"] .ncarou {
    background-image:url("../images/aprile_Gallery_04_image.png") !important;
}
.cello[data-idx="5"] .ncarou {
    background-image:url("../images/aprile_Gallery_05_image.png") !important;
}
.cello[data-idx="6"] .ncarou {
    background-image:url("../images/aprile_Gallery_06_image.png") !important;
}

.cello .ncarou {
    background-size: contain !important;
    background-repeat: no-repeat !important;
    background-position: center !important;    
}

#archetto {
    font-family: Magnat-PosterRegular;
    font-size: 500px;
    color: #F3F1EE;
    color: red;
    letter-spacing: -3.41px;
    text-align: center;
    line-height: 400px;  
    margin: 0px auto;
    text-align: center;
    top: 50%;
    transform: translateY(-50%);    
}
#archetto-text {
    position: absolute;
    width: max-content;
    left: 0px;
    right: 0px;
    margin: 0px auto;
    text-align: center;
    touch-action: pan-y;
    top: 50%;
    transform: translateY(-50%);    
}

.ncarou,.cello {
    transform-origin: center center;
}

.galleria {
    margin-top: 150px;
}

/*MEDIO*/
@media only screen and (min-width: 40.063em){
    
    .galleria {display: none;}
    
    main {
      height: 600px;
        overflow: visible;
        margin-top: 22%;
    }    
    .picker {
      height: 80%;
    } 
    
    main {

        padding-top: 0;
        padding-bottom: 0;    
    }
    
    .dot{
        margin-left: 15px;
        margin-right: 15px;    
    }    
    
}

/*NA VIA DI MEZZE*/
@media only screen and (min-width: 1300px){
    main {
      height: 600px;
    }    

}

/*LARGE*/
@media only screen and (min-width: 1400px){
    main {
      height: 800px;
    }    
    .amio {
        _max-width: 900px;
    }
}


/*XLARGE*/
@media only screen and (min-width: 2000px){
    main {
      height: 1200px;
    }   
    .picker {
      height: 85%;
    }    
}